Subject: Re: [PATCH RFC v2 15/16] builtin/history: implement "split" subcommand

From: Ben Knoble <[email-masked]>
Date: Mon, 15 Sep 2025 09:04:11 -0400

> Le 15 sept. 2025 à 05:32, Patrick Steinhardt <[email-masked]> a écrit :
> 
> On Fri, Sep 12, 2025 at 02:26:04PM -0400, D. Ben Knoble wrote:
>> Hm. I've pulled down v3, built it, and pushed to the same branch. The
>> tip is e91e23546b (builtin/history: implement "reword" subcommand,
>> 2025-09-04).
>> 
>> Now, a heavier-handed recipe:
>> 
>>    GIT_CONFIG_NOSYSTEM=1 GIT_CONFIG_GLOBAL=/dev/null bin-wrappers/git
>> -c commit.verbose=true history split @~5
>>    <input y,q> # once I even used "e" and added new diffs to the patch
>> 
>> I see the usual instructions:
>> 
>> # Please enter the commit message for the split-out changes. Lines starting
>> # with '#' will be kept; you may remove them yourself if you want to.
>> # Modifications qui seront validées :
>> # modifié :         add-patch.c
>> #
>> 
>> And finally I might know what happened, ha… if the "modified files" is
>> the status information, then it has been there all along! Meanwhile, I
>> was expecting a _diff_.
>> 
>> I'm actually _still_ expecting a diff with v3 and commit.verbose set,
>> but I apologize if I've led you down a wild goose chase for the rest
>> :)
> 
> Oh! I didn't even know this was a thing Git supports, I've never seen it
> before. For the sake of simplicity I'd propose to keep this as-is for
> now, but to amend that mode once the initial couple of patches have
> landed.
> 
> Would that be fine with you?

Sure! My apologies again for the « commit.verbose » red herring.